#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PerlIO
%define		pnam	utf8_strict
Summary:	PerlIO::utf8_strict - Fast and correct UTF-8 IO
Name:		perl-%{pdir}-%{pnam}
Version:	0.007
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/PerlIO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9e8fba7f15c612c4f2ed2f961bf1141b
URL:		http://search.cpan.org/dist/PerlIO-utf8_strict/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a fast and correct UTF-8 PerlIO layer.
Unlike perl's default :utf8 layer it checks the input for correctness.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
        INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/PerlIO/utf8_strict.pm
%dir %{perl_vendorarch}/auto/PerlIO/utf8_strict
%attr(755,root,root) %{perl_vendorarch}/auto/PerlIO/utf8_strict/*.so
%{_mandir}/man3/*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PerlIO-utf8_strict.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 5db944a
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> f99b59f
- up to 0.007

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> d480d9d
- rebuild with perl 5.28.0
- release 7 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6a6db6d
- perl req/prov fix
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 748f0d0
- rebuild with perl 5.26
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> ede3af8
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7d07dbe
- release 3 (by relup.sh)

* Mon Mar 23 2015 Jan Rękorajski <baggins@pld-linux.org> 8ab9be9
- fix package name
- rel 2

* Mon Mar 23 2015 Jan Rękorajski <baggins@pld-linux.org> dbb67ce
- new

